/* /Pages/Componentes/Carregando.razor.rz.scp.css */
.loader-overlay[b-dyumzkgeih] {
    position: fixed;
    inset: 0;
    background-color: rgba(255, 255, 255, 0.85); 
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.loader-gif[b-dyumzkgeih] {
    width: 280px;
    max-width: 70vw;
    height: auto;
}
/* /Pages/Controle/login.razor.rz.scp.css */
.login-wrapper[b-6s2xl11njd] {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-container[b-6s2xl11njd] {
    background: white;
    width: 90%;
    max-width: 900px;
    min-height: 520px;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 15px 40px rgba(0,0,0,0.15);
}

.login-brand[b-6s2xl11njd] {
    background: #134074;
    color: white;
    padding: 20px;
    text-align: center;
}

.login-logo[b-6s2xl11njd] {
    max-width: 280px;
}

.login-brand h2[b-6s2xl11njd] {
    margin-bottom: 12px;
    font-weight: 700;
}

.login-card[b-6s2xl11njd] {
    background: white;
    padding: 32px 24px;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

    .login-card h1[b-6s2xl11njd] {
        text-align: center;
        color: #134074;
        margin-bottom: 16px;
    }

.login-link[b-6s2xl11njd] {
    text-align: center;
    color: #134074;
    text-decoration: none;
    font-size: 14px;
}

.login-frase[b-6s2xl11njd] {
    display: none;
}

/* ===============================
   DESKTOP (>= 768px)
================================ */
@media (min-width: 768px) {
    .login-logo[b-6s2xl11njd] {
        max-width: 350px;
        margin-bottom: 40px;
    }

    .login-frase[b-6s2xl11njd] {
        display: block;
    }

    .login-container[b-6s2xl11njd] {
        flex-direction: row;
    }

    .login-brand[b-6s2xl11njd] {
        width: 50%;
        text-align: left;
        padding: 48px;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .login-card[b-6s2xl11njd] {
        width: 50%;
        padding: 48px;
    }

    .login-brand p[b-6s2xl11njd] {
        font-size: 20px;
    }
}
